/**
 * Quoridor server and related libraries
 * Copyright (C) 2009-2010 Jaroslav Tulach <jaroslav.tulach@apidesign.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 */

package cz.xelfi.quoridor.visidor;

import cz.xelfi.quoridor.Move;
import java.util.EventObject;

/** Event describing what happens in {@link BoardPane}.
 *
 * @author Jaroslav Tulach <jtulach@netbeans.org>
 */
public final class BoardEvent extends EventObject {
    private final Move move;
    
    BoardEvent(BoardPane p, Move m) {
        super(p);
        this.move = m;
    }
    
    /** The move that describes recent user gesture on the {@link BoardPane}.
     * 
     * @return the move or null, if this event does not describe a move
     */
    public Move getMove() {
        return move;
    }
}
